/** @type {import('tailwindcss').Config} */
export default {
  content: [],
  theme: {
    colors: {
      transparent: "transparent",
      secondary: "#6c757d",
      white: "#ffffff",
    },
    extend: {
      boxShadow: {
        "outline-primary": "0 0 0 2px var(--primary)",
      },
      boxShadow2: {
        ripple: "0 0 0 2px var(--primary)",
      },
      keyframes: {
        ripple: {
          "0%": {
            boxShadow: "0 0 0 0 rgba(255, 255, 255, 0.5)",
            transform: "scale(1)",
            opacity: 1,
          },
          "100%": {
            boxShadow: "0 0 0 70px rgba(255, 255, 255, 0)",
            transform: "scale(1.5)",
            opacity: 0,
          },
        },
      },
      animation: {
        ripple: "ripple 3s infinite",
      },
      direction: {
        ltr: "ltr",
        rtl: "rtl",
      },
    },
  },
  plugins: [],
};
